Package: org.codehaus.groovy.util

## [Java] Class ManagedReference<T>

- org.codehaus.groovy.util.ManagedReference

- All Implemented Interfaces and Traits:
    Finalizable

      public class ManagedReference
      extends Object

  Authors:
    Alex Tkachman
    Jochen Theodorou

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ManagedReference (ReferenceType type, ReferenceManager rmanager, T value)`
    `ManagedReference (ReferenceBundle bundle, T value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `void` | `finalizeReference()`
    `` | `T` | `get()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ManagedReference(ReferenceType type, ReferenceManager rmanager, T value)

    - #### public ManagedReference(ReferenceBundle bundle, T value)

  - ### Method Detail

    - #### public final void clear()

    - #### public void finalizeReference()

    - #### public final T get()